%define pypi_name GeoIP

Summary: Python bindings for the GeoIP library
Name: python-geoip
Version: 1.3.2
Release: %mkrel 14
Source0: %{pypi_source}
URL: https://www.maxmind.com/app/python
License: BSD-like
Group: Development/Python
BuildRequires:  python3-devel
BuildRequires: pkgconfig(geoip)

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from https://www.maxmind.com/

%package -n python3-geoip
Summary: Python bindings for the GeoIP library
Group: Development/Python

%description -n python3-geoip
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from https://www.maxmind.com/

%prep
%setup -q -n %pypi_name-%version


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files GeoIP

%files -n python3-geoip -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.3.2-14.mga10
+ Revision: 2238327
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.3.2-13.mga10
+ Revision: 2155012
- rebuild for python3.13

* Tue Dec 26 2023 papoteur <papoteur> 1.3.2-12.mga10
+ Revision: 2021553
- rebuild for python 3.12

* Tue Dec 12 2023 papoteur <papoteur> 1.3.2-11.mga10
+ Revision: 2017489
- rebuild for python3.12
- adapt to pyproject

* Fri Mar 18 2022 umeabot <umeabot> 1.3.2-10.mga9
+ Revision: 1799068
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.3.2-9.mga9
+ Revision: 1775239
- rebuild for python-3.10

* Fri Apr 02 2021 wally <wally> 1.3.2-8.mga9
+ Revision: 1712681
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.2-7.mga8
+ Revision: 1533103
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.3.2-6.mga8
+ Revision: 1443344
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.3.2-5.mga7
+ Revision: 1352938
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-4.mga7
+ Revision: 1300484
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 philippem <philippem> 1.3.2-3.mga7
+ Revision: 1134909
- Rebuild for Python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 1.3.2-2.mga6
+ Revision: 962202
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 1.3.2-1.mga6
+ Revision: 896099
- update to 1.3.2

* Wed Oct 15 2014 umeabot <umeabot> 1.2.8-7.mga5
+ Revision: 748349
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.8-6.mga5
+ Revision: 728539
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.8-5.mga5
+ Revision: 688045
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.8-3.mga4
+ Revision: 543540
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.8-2.mga4
+ Revision: 498661
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.2.8-1.mga4
+ Revision: 471685
- Update to 1.2.8

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 378891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 1.2.7-1.mga3
+ Revision: 329810
- Update to 1.2.7
+ ahmad <ahmad>
- Replace libgeoip-devel with geoip-devel

* Wed Jun 15 2011 ahmad <ahmad> 1.2.5-1.mga2
+ Revision: 106353
- Update to 1.2.5
- Replace the deprecated %%py_requires macro with BR python-devel
- imported package python-geoip


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1.2.4-2mdv2011.0
+ Revision: 591473
- rebuild for new python 2.7

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 388906
- update to new version 1.2.4

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1.2.1-7mdv2009.1
+ Revision: 320169
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-6mdv2009.0
+ Revision: 259614
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2009.0
+ Revision: 247417
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
+ Revision: 88299
- bot rebuild
- Import python-geoip

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdv2007.1
- update file list

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.2.0-2mdk
- Rebuild for new python

* Thu Feb 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new version

